View Issue Details

IDProjectCategoryView StatusLast Update
0002052SymmetricDSBugpublic2014-11-10 08:37
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.12 
Target Version3.6.13Fixed in Version3.6.13 
Summary0002052: Remove transform when used on a primary key without the pk column checked fails
DescriptionRemove transform when used on a primary key without the pk column checked fails
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c2786d8b

2014-11-05 15:04:20

chenson

Details Diff
0002052: Remove transform when used on a primary key without the pk column checked fails
0002053: Fallback to insert fails when transform is configured as update first on the LOAD side. Data is retransformed as an update.

0002052
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformTable.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2014-11-05 15:02 chenson New Issue
2014-11-05 15:02 chenson Status new => assigned
2014-11-05 15:02 chenson Assigned To => chenson
2014-11-05 16:00 chenson Changeset attached => SymmetricDS trunk r8896
2014-11-05 16:00 chenson Changeset attached => SymmetricDS 3.6 r8897
2014-11-09 19:20 chenson Status assigned => resolved
2014-11-09 19:20 chenson Fixed in Version => 3.6.13
2014-11-09 19:20 chenson Resolution open => fixed
2014-11-10 08:37 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c2786d8b